@charset "UTF-8";

/* =====================
  property-filter
===================== */
.property-filter {
  margin-bottom: var(--section-top);
}
.property-filter-tags {
  border-bottom: 2px solid var(--color-primary);
  .inner--both {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8rem;
    padding-block: 24rem;
  }
}
.property-filter-tag {
  padding: 3rem 12rem;
  display: flex;
  align-items: center;
  column-gap: 6rem;
  font-size: 14rem;
  font-weight: var(--bold);
  line-height: 1.4;
  border-radius: 4rem;
  border: 2px solid rgb(23 63 75 / 0.6);
  transition: all 0.3s ease;
  &.is-active {
    background-color: var(--color-primary);
    color: var(--color-white);
  }
  &::before {
    content: '#';
  }
}
.property-list {
  transition: min-height 0.35s ease;
}
.property-item {
  border-bottom: 2px solid var(--color-primary);
  transform: translateY(0);
  opacity: 1;
  transition:
    opacity 0.35s ease,
    transform 0.35s ease;
  &.is-hidden {
    opacity: 0;
    transform: translateY(8px);
    pointer-events: none;
  }
  .inner {
    padding-block: 40rem;
  }
}
.property-item__image {
  width: 100%;
  aspect-ratio: 326 / 212;
}
.soldOut {
  .property-item__image-block {
    position: relative;
    height: fit-content;
    &::after {
      position: absolute;
      content: 'SOLD OUT';
      background-color: rgb(19 19 20 / 0.4);
      color: var(--color-white);
      font-size: 40rem;
      font-family: var(--lang-en);
      font-weight: var(--black);
      font-style: normal;
      line-height: 1.3;
      display: flex;
      justify-content: center;
      align-items: center;
      inset: 0;
      z-index: 10;
    }
  }
}
.property-tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 6rem;
  margin-top: 20rem;
}
.property-tag {
  padding: 2rem 8rem;
  display: flex;
  align-items: center;
  column-gap: 5rem;
  font-size: 11rem;
  font-weight: var(--bold);
  line-height: 1.4;
  border-radius: 3rem;
  border: 2px solid rgb(23 63 75 / 0.6);
  &::before {
    content: '#';
  }
}
.property-item__name {
  font-size: 24rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
  margin-top: 8rem;
}
.summary-list {
  margin-top: 8rem;
  font-size: 14rem;
}
.summary-item {
  display: grid;
  grid-template-columns: 80rem 1fr;
  column-gap: 8rem;
  padding-block: 14rem;
  border-bottom: var(--border) var(--color-list-border);
}
.summary-item__title {
  font-weight: var(--bold);
}
.property-item__btn {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  column-gap: 16rem;
  font-weight: var(--bold);
  padding: 16rem 32rem;
  background-color: var(--color-primary);
  color: var(--color-white);
  text-align: center;
  border-radius: 4rem;
  margin-top: 32rem;
  &::after {
    content: '';
    display: inline-block;
    background: url(/assets/img/common/icon-arrow-w.svg) no-repeat center / contain;
    width: 20rem;
    height: 20rem;
  }
}
